> For the complete documentation index, see [llms.txt](https://firstoken.gitbook.io/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://firstoken.gitbook.io/api-docs/api-reference/payments/endpoints/capture.md).

# Capture

A capture is used after a transaction of an authorization. It is used to transfer the authorized funds from the customer's account to the merchant account.

{% tabs %}
{% tab title="cUrl" %}
{% code fullWidth="true" %}

```json
POST /v1/payments/:id/capture

curl -X POST 'https://api.firstoken.co/v1/payments/:id/capture' \
--header 'Content-Type: application/json' \
--header 'x-api-key: YOUR API KEY' \
--data '{
  "transaction_info": {
    "type": "capture",
    "reference_code": "123456789"
  },
  "capture_info": {
    "amount_details": {
      "total_amount": 1000,
      "currency": "COP"
    },
    "installments": 1
  },
  "device_info": {
      "ip_address": "12.7.8.120"
  }
}

```

{% endcode %}
{% endtab %}

{% tab title="Params of the request" %}
**id**: *string*

> A valid payment Transaction ID
> {% endtab %}

{% tab title="Attributes of the response" %}
**status**: *string*\
The status is a string result that only has two possible values. "Success, “Error” or "Fail".

**message**: *string*\
The message value represents a short description about the status code.

**data**: *{object}*\
The value of the data represents a set of JSON objects with the transaction’s details:

> * **transaction\_info**: *{object}*\
>   The wrapper object of the transaction’s information. Contains:
>   * **type**: *string*\
>     The type of transaction response.
>   * **reference\_code**: *string*
>
>     A reference code for the transaction.
>   * **transaction\_id**: *string*
>
>     Our transaction identifier of the request. It is used in other requests.
>   * **request\_id**: *string*
>
>     The identifier of the request associated with the transaction.
>   * **status**: *string*
>
>     The status received of the transaction.
>   * **reconciliation\_id**: *string*\
>     The response identifier for reconciliation logs.
>   * **created\_at**: *ISO Date*
>
>     The ISO Date of the request
> * **order\_info**: {object} \
>   The object for the order information sent it in the body request.
>   * **amount\_details**: {object} \
>     The total amount details, like total and currency.&#x20;
>     {% endtab %}
>     {% endtabs %}

<details>

<summary>Example of the JSON response</summary>

```json
{
    "status": "success",
    "message": "Capture successful",
    "data": {
        "transaction_info": {
            "type": "capture_response",
            "reference_code": "123456789",
            "transaction_id": "0001708980791641783622",
            "request_id": "7089807930896719904951",
            "status": "Pending",
            "reconciliation_id": "7089807826426366604953",
            "created_at": "2024-02-26T20:53:13Z"
        },
        "order_info": {
            "amount_details": {
                "total_amount": "1000.00",
                "currency": "COP"
            }
        }
    }

```

</details>
